#pragma once

#include "Board.h"
#include "MNode.h"

using namespace std;

class Engine {
	Board* b;
	
public:
	Engine();
	Board* getBoard() { return b; }
	void startGame();
	void easyAI();
	void AI(int depth);
	void createMMTree(MNode* node, int depth);
	moves evaluateMMTree(MNode* node);
	int evaluateMMBranch(MNode* node, int sum);
};
